@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@200;400;500;700&display=swap');
:root {
  --clr-primary: #fccc52;
  --clr-white: #fff;
  --clr-blue: #b9e7f3;
  --clr-blue-1: #0a2846;
  --clr-blue-2: #08121c;

  /* Base theme */
  --thm-page: var(--clr-blue-2);
  --thm-font: var(--clr-white);
  --thm-clr-shadow: var(--clr-blue);

  /* Gradient */
  --thm-gradient-start: var(--clr-blue-2);
  --thm-gradient-end: var(--clr-blue-1);
  --thm-gradient-active-primary: var(--clr-blue-2);
  --thm-gradient-active-secondary: var(--clr-blue-1);
}

.theme-transition,
.theme-transition * {
  transition: all 300ms ease-in-out, color 150ms ease-in-out !important;
}

.app {
  background-color: var(--thm-page);
  color: var(--thm-font);
  transition: background-color 300ms ease-in-out;
}

.app.theme--light {
  --clr-white: #f0f2f4;
  --thm-page: var(--clr-white);
  --thm-font: var(--clr-blue-2);
  --thm-clr-shadow: var(--clr-blue-2);

  --thm-gradient-start: var(--clr-blue);
  --thm-gradient-end: var(--clr-white);
  --thm-gradient-active-primary: var(--clr-primary);
  --thm-gradient-active-secondary: var(--clr-white);
}
